Bug 137450 - [x86_64] undefined symbol: g_thread_init_glib
Summary: [x86_64] undefined symbol: g_thread_init_glib
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: 2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-28 15:55 UTC by Justin Cormack
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-30 00:16:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Justin Cormack 2004-10-28 15:55:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7)
Gecko/20040629 Firefox/0.9.1

Description of problem:
There is an undefined symbol g_thread_init_glib



Version-Release number of selected component (if applicable):
glib2-2.4.7-1.1

How reproducible:
Always

Steps to Reproduce:
1. start openoffice
 

Actual Results:  ooffice sep.xls
Installation of OpenOffice.org 1.1.2 failed:
 'LD_LIBRARY_PATH=/usr/lib/ooo-1.1:/usr/lib/ooo-1.1/program
/usr/lib/ooo-1.1/program/setup
-R:/tmp/ooo-wrapper.autoresponse.file.RB4712 -v -nogui >
~/.openoffice-install-log 2>&1'

log file:
/usr/lib/ooo-1.1/program/setup.bin: error while loading shared
libraries: /usr/lib/libgthread-2.0.so.0: undefined symbol:
g_thread_init_glib


Expected Results:  Should link ok and run.


Additional info:

I believe this is a glib2 bug not openoffice, but not entirely clear.

Comment 1 Matthias Clasen 2004-10-28 16:52:39 UTC
g_thread_init_glib is in glib-2.0.so.0

All apps using gnome-vfs are using the thread support in glib2, 
so I would assume that the problem must be something between
ooo and multilib...

Do you have both the 32bit and the 64bit glib2 package installed ?

Comment 2 Matthias Clasen 2004-10-28 16:53:43 UTC
I just  started oowriter on a x86_64 system having both the 32bit and
the 64bit glib2 package installed, and it didn't show the error you
mention. (It showed others, but was basically working)

Comment 3 Justin Cormack 2004-10-29 09:09:55 UTC
yes both glib2 packages are installed.
glib2-2.4.7-1.1 in both cases
oo is version openoffice.org-1.1.2-10.fc2


Comment 4 Dan Williams 2004-10-29 19:46:03 UTC
matthias, can you remove ~/.rhopenoffice-1.1 directory and try to
launch it again with "/usr/bin/ooffice" ?  THat should trigger setup
again.


Comment 5 Dan Williams 2004-11-01 21:07:10 UTC
Justin,

What does 'objdump -T /usr/lib/libglib-2.0.so.0 | grep
g_thread_init_glib' say?  I get correct output on my x86_64 box
running latest FC2 updates...

Comment 6 Justin Cormack 2004-11-01 21:57:01 UTC
[justin@bream justin]$ objdump -T /usr/lib/libglib-2.0.so.0 | grep
g_thread_init_glib
0003e080 g    DF .text  000000b3  Base        g_thread_init_glib



Comment 7 Justin Cormack 2005-01-30 00:16:46 UTC
Sorry, turned out to be linked to a different version of glib in /usr/local/lib,
my fault.



Note You need to log in before you can comment on or make changes to this bug.